<?php
	session_start();

	include 'SQL/conexion.php';

	if (!isset($_SESSION["userType"]) || $_SESSION["userType"] != 965){
		echo "Sin autorización!";
		exit;
	}
	
	if(isset($_GET["act"])){
	
		if($_GET["act"]=="CDUP"){
			$sql = "select t1.id_respuesta from respuesta t1 inner join respuesta t2 where t1.id_respuesta > t2.id_respuesta AND t1.nombre = t2.nombre and t1.edad = t2.edad and t1.comentario = t2.comentario and t1.clave_escuela = t2.clave_escuela;";
			$result = $conn->query($sql);
			echo "Found ". $result->num_rows ." duplicated registers...";
			exit;
		}

		if($_GET["act"]=="DDUP"){
			$sql = "delete t1 from respuesta t1 inner join respuesta t2 where t1.id_respuesta > t2.id_respuesta AND t1.nombre = t2.nombre and t1.edad = t2.edad and t1.comentario = t2.comentario and t1.clave_escuela = t2.clave_escuela;";
			if(!$conn->query($sql))
				echo "Error! ".$conn->error;
			else
				echo "Result: " . $conn->affected_rows . " rows deleted...";
			exit;
		}

		if($_GET["act"]=="CEMP"){
			$sql = "select * from respuesta where clave_escuela='';";
			$result = $conn->query($sql);
			echo "Found ". $result->num_rows ." empty registers...";
			exit;
		}

		if($_GET["act"]=="DEMP"){
			$sql = "delete from respuesta where clave_escuela='';";
			if(!$conn->query($sql))
				echo "Error! ".$conn->error;
			else
				echo "Result: " . $conn->affected_rows . " rows deleted...";
			exit;
		}
		
		if($_GET["act"]=="LIST"){

			$sql = 'SELECT id_respuesta, comentario, nombre FROM respuesta';
			$result = $conn->query($sql);

				if (!empty($result)) {
					$fp = fopen('WordCloud/R/Data/Last.csv', 'w');
					fwrite($fp, "\"ID\", \"Text\", \"Nombre\"\n");
					foreach ($result as $respuesta) { 
						fwrite($fp, $respuesta["id_respuesta"].",\"".str_replace("\"","", preg_replace('/\s+/S', " ", $respuesta["comentario"]))."\",\"".explode(" ", trim(strtolower($respuesta["nombre"])))[0]."\"\n");
					}
					fclose($fp);	    
				}

				echo "Wrote ". $result->num_rows ." registers...";
				exit;
		}
		
		if($_GET["act"]=="RWC"){

				$output = "";
				exec("cd WordCloud/R/; R -e 'sessionInfo()' --quiet; chmod a+rw Data/Data.js", $output);
				foreach ($output as $line)
					echo $line."<br>";
				exit;
		}				


		if($_GET["act"]=="MBAK"){

				$output = "";
				exec("mysqldump --user=backupuser --password=PkJXPQFykKLmS3cWhjhgfjdsqmZKNYE Escuelas > /data/public_html/BAK/Escuelas_$(date +%s).sql && ls /data/public_html/BAK/ -lsh | tail -1", $output);
				foreach ($output as $line)
					echo $line."<br>";
				exit;
		}
		
		if($_GET["act"]=="ANAME"){

				if(isset($_GET["Name"]) && isset($_GET["Sex"])){
					$sql = "INSERT INTO `Nombres`(`Nombre`, `sexo`) VALUES ('".$_GET['Name']."','".$_GET['Sex']."');";
					$conn->query($sql);
				}

				$sql = "SELECT SUBSTRING_INDEX(TRIM(respuesta.nombre), ' ', 1) as Nombre  from respuesta left join Nombres on SUBSTRING_INDEX(TRIM(respuesta.nombre), ' ', 1) = Nombres.Nombre WHERE Nombres.sexo IS NULL GROUP BY SUBSTRING_INDEX(TRIM(respuesta.nombre), ' ', 1) LIMIT 1;";
				$result = $conn->query($sql);
					foreach ($result as $respuesta){
						echo '<center><h1 class="m-0 font-weight-bold text-info mb-3 mt-3">'.str_replace("<", "", $respuesta["Nombre"]).'</h1>';
						echo '<a href="#cf" class="btn btn-primary btn-icon-split mr-3" onclick="getConfig( \'executeCfg.php?act=ANAME&Name='.$respuesta["Nombre"].'&Sex=Masculino \');"><span class="icon text-white-50"><i class="fas fa-male"></i></span><span class="text">Masculino</span></a>';
						echo '<a href="#cf" class="btn btn-info btn-icon-split mr-3" onclick="getConfig( \'executeCfg.php?act=ANAME&Name='.$respuesta["Nombre"].'&Sex=Femenino \');"><span class="icon text-white-50"><i class="fas fa-female"></i></span><span class="text">Femenino</span></a>';
						echo '<a href="#cf" class="btn btn-warning btn-icon-split mr-3" onclick="getConfig( \'executeCfg.php?act=ANAME&Name='.$respuesta["Nombre"].'&Sex=Desconocido \');"><span class="icon text-white-50"><i class="fas fa-female"></i></span><span class="text">Desconocido</span></a></center>';
						exit;
					}
					echo '<center><h1 class="m-0 font-weight-bold text-success mb-3 mt-3">No names to annotate</h1>';
					exit;
		}
	}
	echo "Nothing to do...";
?>
